MariaDB v1 API
This section provides detailed guides and examples on how to interact with the MariaDB REST API. Each guide covers specific tasks such as creating, managing, and deleting MariaDB clusters, as well as handling backups and connecting from Kubernetes.
Important: The MariaDB v1 API will be deprecated in an upcoming release. All existing clusters operating on the v1 version will be automatically migrated to the v2 version as part of this process. No user action is required. For more information, see MariaDB API Versions.
Quick Links
Endpoints
A regional endpoint is necessary to interact with the MariaDB REST API endpoints. For more information, see the API specification file.
IONOS CLOUD supports the following endpoints for various locations:
Berlin, Germany:
https://mariadb.de-txl.ionos.com/clusters.Frankfurt, Germany:
https://mariadb.de-fra.ionos.com/clustersLogroño, Spain:
https://mariadb.es-vit.ionos.com/clustersLondon, United Kingdom:
https://mariadb.gb-lhr.ionos.com/clustersWorcester, United Kingdom:
https://mariadb.gb-bhx.ionos.com/clustersNewark, United States:
https://mariadb.us-ewr.ionos.com/clustersLas Vegas, United States:
https://mariadb.us-las.ionos.com/clustersLenexa, United States:
https://mariadb.us-mci.ionos.com/clustersParis, France:
https://mariadb.fr-par.ionos.com/clusters
Request parameter headers
To make authenticated requests to the API, the following fields are mandatory in the request headers:
Authorization
yes
string
HTTP Basic authorization. A base64 encoded string of a username and password separated by a colon. username@domain.tld:password
X-Contract-Number
no
integer
Users with more than one contract may apply this header to indicate the applicable contract.
Content-Type
yes
string
Set this to application/json.
Examples
Last updated
Was this helpful?